package com.ruoyi.system.domain.sqmy;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 社情民意信息对象 sqmy_info
 * 
 * @author boman
 * @date 2024-03-14
 */
public class SqmyInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 社情民意ID */
    private Long sqmyId;

    /** 上报人ID */
    @Excel(name = "上报人ID")
    private Long sqmyUserId;

    /** 信息标题 */
    @Excel(name = "信息标题")
    private String title;

    /** 主题类型 */
    @Excel(name = "主题类型")
    private String titleType;

    /** 提案内容 */
    @Excel(name = "提案内容")
    private String proposalContent;

    /** 联系人姓名 */
    @Excel(name = "联系人姓名")
    private String contactName;

    /** 联系人手机号码 */
    @Excel(name = "联系人手机号码")
    private String contactPhone;

    /** 上报者姓名 */
    @Excel(name = "上报者姓名")
    private String sqmyName;

    /** 上报者手机号码 */
    @Excel(name = "上报者手机号码")
    private String sqmyPhone;

    /** 工作单位及职务 */
    @Excel(name = "工作单位及职务")
    private String unit;

    /** 同意公开（0是 1否） */
    @Excel(name = "同意公开", readConverterExp = "0=是,1=否")
    private String isPublicity;

    /** 是否涉密（0是 1否） */
    @Excel(name = "是否涉密", readConverterExp = "0=是,1=否")
    private String isSecret;

    public void setSqmyId(Long sqmyId) 
    {
        this.sqmyId = sqmyId;
    }

    public Long getSqmyId() 
    {
        return sqmyId;
    }
    public void setSqmyUserId(Long sqmyUserId) 
    {
        this.sqmyUserId = sqmyUserId;
    }

    public Long getSqmyUserId() 
    {
        return sqmyUserId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setTitleType(String titleType) 
    {
        this.titleType = titleType;
    }

    public String getTitleType() 
    {
        return titleType;
    }
    public void setProposalContent(String proposalContent) 
    {
        this.proposalContent = proposalContent;
    }

    public String getProposalContent() 
    {
        return proposalContent;
    }
    public void setContactName(String contactName) 
    {
        this.contactName = contactName;
    }

    public String getContactName() 
    {
        return contactName;
    }
    public void setContactPhone(String contactPhone) 
    {
        this.contactPhone = contactPhone;
    }

    public String getContactPhone() 
    {
        return contactPhone;
    }
    public void setSqmyName(String sqmyName) 
    {
        this.sqmyName = sqmyName;
    }

    public String getSqmyName() 
    {
        return sqmyName;
    }
    public void setSqmyPhone(String sqmyPhone) 
    {
        this.sqmyPhone = sqmyPhone;
    }

    public String getSqmyPhone() 
    {
        return sqmyPhone;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setIsPublicity(String isPublicity) 
    {
        this.isPublicity = isPublicity;
    }

    public String getIsPublicity() 
    {
        return isPublicity;
    }
    public void setIsSecret(String isSecret) 
    {
        this.isSecret = isSecret;
    }

    public String getIsSecret() 
    {
        return isSecret;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("sqmyId", getSqmyId())
            .append("sqmyUserId", getSqmyUserId())
            .append("title", getTitle())
            .append("titleType", getTitleType())
            .append("proposalContent", getProposalContent())
            .append("contactName", getContactName())
            .append("contactPhone", getContactPhone())
            .append("sqmyName", getSqmyName())
            .append("sqmyPhone", getSqmyPhone())
            .append("unit", getUnit())
            .append("isPublicity", getIsPublicity())
            .append("isSecret", getIsSecret())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
